Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Oct 2022 18:49:20 +0300

> Date: Thu, 27 Oct 2022 15:33:48 +0200 (CEST)
> From: [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Yes, this is happening on emacs 29.

OK, so we'll have to keep this bug open.

> what I did was the following:
> git clone git://git.savannah.gnu.org/emacs.git emacs-debug
> cd emacs-debug
> ./autogen.sh
> ./configure CFLAGS="-O0 -g3" && make -j5 CFLAGS="-O0 -g3"
> make install PREFIX=/usr/local.
> rm -rvf ~/.config/emacs && git clone --depth=1 https://github.com/doomemacs/doomemacs ~/.config/emacs
> && ~/.config/emacs/bin/doom install && ~/.config/emacs/bin/doom sync
> note: ~/.config/ because I've set $EMACSDIR.
> this is what I did in a nutshell. if you need to reproduce what I did even more you can have my configuration
> for doom emacs; put it in $DOOMDIR (defaults to ~/.doom.d)
> https://termbin.com/hgkv
> https://termbin.com/jr3gm

Telega requires installation of stuff that I don't have and cannot
install here, sorry.  So either someone could show a recipe to
reproduce this without telega, or someone who has telega installed
will need to debug the problem.  This kind of problems need careful
study of what exactly went wrong in the display code and why.